Debian Bug report logs - #542837
pbuilder has issues with kfreebsd-*

version graph

Package: pbuilder; Maintainer for pbuilder is Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>; Source for pbuilder is src:pbuilder.

Reported by: Andreas Barth <aba@not.so.argh.org>

Date: Fri, 21 Aug 2009 18:03:02 UTC

Severity: important

Tags: confirmed, patch

Found in version pbuilder/0.189

Fixed in version pbuilder/0.199+nmu3

Done: Luca Falavigna <dktrkranz@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>:
Bug#542837; Package pbuilder. (Fri, 21 Aug 2009 18:03:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Barth <aba@not.so.argh.org>:
New Bug report received and forwarded. Copy sent to Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>. (Fri, 21 Aug 2009 18:03:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andreas Barth <aba@not.so.argh.org>
To: submit@bugs.debian.org
Subject: pbuilder has issues with kfreebsd-*
Date: Fri, 21 Aug 2009 19:56:08 +0200
Package: pbuilder
Version: 0.189
Severity: important

Hi,

pbuilder cannot mount proc or devpts on kfreebsd-i386. This prevents
some packages to build correctly.


proc has the type linprocfs on these machines. The "standard mounts"
for a system contain

devfs on /dev (devfs, local)
linprocfs on /proc (linprocfs, local, noexec, nosuid)
linsysfs on /sys (linsysfs, local)
fdescfs on /dev/fd (fdescfs)


(Trying to mount proc with type proc fails. pbuilder only works with
USEPROC and USEDEVPTS set to no.)


One suggestion: How about bindmounting /proc, /sys and /dev
respectivly into the changeroot instead of a new mount?


Cheers,
Andi




Information forwarded to debian-bugs-dist@lists.debian.org, Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>:
Bug#542837; Package pbuilder. (Fri, 28 Aug 2009 14:15:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Barth <aba@not.so.argh.org>:
Extra info received and forwarded to list. Copy sent to Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>. (Fri, 28 Aug 2009 14:15:10 GMT) Full text and rfc822 format available.

Message #10 received at 542837@bugs.debian.org (full text, mbox):

From: Andreas Barth <aba@not.so.argh.org>
To: 542837@bugs.debian.org
Subject: Re: Bug#542837: pbuilder has issues with kfreebsd-*
Date: Fri, 28 Aug 2009 16:10:57 +0200
* Andreas Barth (aba@not.so.argh.org) [090828 14:02]:
> One suggestion: How about bindmounting /proc, /sys and /dev
> respectivly into the changeroot instead of a new mount?

Bindmounting works different on kfreebsd:
lykorias:~# mount /proc/ $chroot/proc/ -t nullfs

(whereas on linux we use -o bind)


This is of course used all overall pbuilder, e.g. when using
--pbuilder-internal



Please also keep in mind that kfreebsd doesn't support good chroot
detection (at least untill now) - I don't know if you use that
somewhere, but you should assume that this fails on kfreebsd.


Cheers,
Andi




Information forwarded to debian-bugs-dist@lists.debian.org, Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>:
Bug#542837; Package pbuilder. (Fri, 18 Sep 2009 15:33:38 GMT) Full text and rfc822 format available.

Acknowledgement sent to Junichi Uekawa <dancer@netfort.gr.jp>:
Extra info received and forwarded to list. Copy sent to Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>. (Fri, 18 Sep 2009 15:33:39 GMT) Full text and rfc822 format available.

Message #15 received at 542837@bugs.debian.org (full text, mbox):

From: Junichi Uekawa <dancer@netfort.gr.jp>
To: Andreas Barth <aba@not.so.argh.org>, 542837@bugs.debian.org
Subject: Re: Bug#542837: pbuilder has issues with kfreebsd-*
Date: Sat, 19 Sep 2009 00:21:37 +0900
Hi,

Hmmm... Did you actually got around to trying ?  I'm wondering if
fixing the mounting would fix all the problems or I still need a lot
more to go.


At Fri, 28 Aug 2009 16:10:57 +0200,
Andreas Barth wrote:
> 
> * Andreas Barth (aba@not.so.argh.org) [090828 14:02]:
> > One suggestion: How about bindmounting /proc, /sys and /dev
> > respectivly into the changeroot instead of a new mount?
> 
> Bindmounting works different on kfreebsd:
> lykorias:~# mount /proc/ $chroot/proc/ -t nullfs
> 
> (whereas on linux we use -o bind)
> 
> 
> This is of course used all overall pbuilder, e.g. when using
> --pbuilder-internal
> 
> 
> 
> Please also keep in mind that kfreebsd doesn't support good chroot
> detection (at least untill now) - I don't know if you use that
> somewhere, but you should assume that this fails on kfreebsd.
> 
> 
> Cheers,
> Andi
> 
> 
> 
> _______________________________________________
> Pbuilder-maint mailing list
> Pbuilder-maint@lists.alioth.debian.org
> http://lists.alioth.debian.org/mailman/listinfo/pbuilder-maint
> 




Information forwarded to debian-bugs-dist@lists.debian.org, Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>:
Bug#542837; Package pbuilder. (Fri, 18 Sep 2009 17:36:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Barth <aba@not.so.argh.org>:
Extra info received and forwarded to list. Copy sent to Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>. (Fri, 18 Sep 2009 17:36:06 GMT) Full text and rfc822 format available.

Message #20 received at 542837@bugs.debian.org (full text, mbox):

From: Andreas Barth <aba@not.so.argh.org>
To: Junichi Uekawa <dancer@netfort.gr.jp>
Cc: 542837@bugs.debian.org
Subject: Re: Bug#542837: pbuilder has issues with kfreebsd-*
Date: Fri, 18 Sep 2009 19:24:48 +0200
* Junichi Uekawa (dancer@netfort.gr.jp) [090918 17:27]:
> Hmmm... Did you actually got around to trying ?  I'm wondering if
> fixing the mounting would fix all the problems or I still need a lot
> more to go.

pbuilder works with this setting in normal mode (i.e. pdebuild without
--use-pdebuild-internal):
USEPROC=no
USEDEVFS=no
USEDEVPTS=no

--use-pdebuild-internal failed with the error indicated.


I tried with the following change:
    for mnt in $BINDMOUNTS; do
        log "I: Mounting $mnt"
        if mkdir -p "$BUILDPLACE/$mnt" &&
            mount -tnullfs "$mnt" "$BUILDPLACE/$mnt"; then
            # successful.
            mounted[${#mounted[@]}]="$mnt"
        else
in /usr/lib/pbuilder/pbuilder-modules (change of mount only).

In this case, pdebuild --use-pdebuild-internal worked and built
successfully.


However, there is a restriction compared with Linux:
mount /root /root/build/720/root/ -t nullfs
fails, so some setups that work on Linux fail on kbsd.

(I used an buildplace outside of my home, then it worked.)


I didn't tried to change the proc-mounts etc but wouldn't expect
surprises there.


Cheers,
Andi




Information forwarded to debian-bugs-dist@lists.debian.org, Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>:
Bug#542837; Package pbuilder. (Thu, 26 Nov 2009 22:48:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Barth <aba@not.so.argh.org>:
Extra info received and forwarded to list. Copy sent to Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>. (Thu, 26 Nov 2009 22:48:06 GMT) Full text and rfc822 format available.

Message #25 received at 542837@bugs.debian.org (full text, mbox):

From: Andreas Barth <aba@not.so.argh.org>
To: Junichi Uekawa <dancer@netfort.gr.jp>
Cc: 542837@bugs.debian.org
Subject: Re: Bug#542837: pbuilder has issues with kfreebsd-*
Date: Thu, 26 Nov 2009 23:02:40 +0100
* Andreas Barth (aba@not.so.argh.org) [091126 22:01]:
> I tried with the following change:
>     for mnt in $BINDMOUNTS; do
>         log "I: Mounting $mnt"
>         if mkdir -p "$BUILDPLACE/$mnt" &&
>             mount -tnullfs "$mnt" "$BUILDPLACE/$mnt"; then
>             # successful.
>             mounted[${#mounted[@]}]="$mnt"
>         else
> in /usr/lib/pbuilder/pbuilder-modules (change of mount only).
> 
> In this case, pdebuild --use-pdebuild-internal worked and built
> successfully.

What can I do to make the change go into pbuilder? Should I prepare an
appropriate patch against the current source package?


Cheers,
Andi




Information forwarded to debian-bugs-dist@lists.debian.org, Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>:
Bug#542837; Package pbuilder. (Sun, 29 Nov 2009 10:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Junichi Uekawa <dancer@netfort.gr.jp>:
Extra info received and forwarded to list. Copy sent to Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>. (Sun, 29 Nov 2009 10:21:03 GMT) Full text and rfc822 format available.

Message #30 received at 542837@bugs.debian.org (full text, mbox):

From: Junichi Uekawa <dancer@netfort.gr.jp>
To: Andreas Barth <aba@not.so.argh.org>
Cc: Junichi Uekawa <dancer@netfort.gr.jp>, 542837@bugs.debian.org
Subject: Re: Bug#542837: pbuilder has issues with kfreebsd-*
Date: Sun, 29 Nov 2009 19:11:48 +0900
Hi Aba,

So, would 'mount -o bind ' to 'mount -tnullfs ' just work?

I don't have a kfreebsd instance handy to test this, so I would like
to make sure. It would be super if you could supply a patch that I
could patch in, but since there is no real code to support multiple
architectures in pbuilder, it might need a bit more infrastructure
change.


At Thu, 26 Nov 2009 23:02:40 +0100,
Andreas Barth wrote:
> 
> * Andreas Barth (aba@not.so.argh.org) [091126 22:01]:
> > I tried with the following change:
> >     for mnt in $BINDMOUNTS; do
> >         log "I: Mounting $mnt"
> >         if mkdir -p "$BUILDPLACE/$mnt" &&
> >             mount -tnullfs "$mnt" "$BUILDPLACE/$mnt"; then
> >             # successful.
> >             mounted[${#mounted[@]}]="$mnt"
> >         else
> > in /usr/lib/pbuilder/pbuilder-modules (change of mount only).
> > 
> > In this case, pdebuild --use-pdebuild-internal worked and built
> > successfully.
> 
> What can I do to make the change go into pbuilder? Should I prepare an
> appropriate patch against the current source package?
> 
> 
> Cheers,
> Andi
> 




Information forwarded to debian-bugs-dist@lists.debian.org, Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>:
Bug#542837; Package pbuilder. (Sun, 29 Nov 2009 10:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Barth <aba@not.so.argh.org>:
Extra info received and forwarded to list. Copy sent to Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>. (Sun, 29 Nov 2009 10:48:02 GMT) Full text and rfc822 format available.

Message #35 received at 542837@bugs.debian.org (full text, mbox):

From: Andreas Barth <aba@not.so.argh.org>
To: Junichi Uekawa <dancer@netfort.gr.jp>
Cc: 542837@bugs.debian.org
Subject: Re: Bug#542837: pbuilder has issues with kfreebsd-*
Date: Sun, 29 Nov 2009 11:44:56 +0100
* Junichi Uekawa (dancer@netfort.gr.jp) [091129 11:18]:
> So, would 'mount -o bind ' to 'mount -tnullfs ' just work?

Yes, it does. However, it cannot mount into a subdirectory of itself,
i.e.  mounting /home/aba/ into /home/aba/pbuilder/1234 doesn't work
(but /home/aba/buildplace into /home/aba/pbuilder/1234 does). (That's
just some information for an README, I don't think there needs to be
any code detecting that.)


Also, please note that the filesystems are named different:
devfs on /dev (devfs, local)
linprocfs on /proc (linprocfs, local)
linsysfs on /sys (linsysfs, local)
fdescfs on /dev/fd (fdescfs)

If you do "bind" (i.e. nullfs-mounts on kbsd) from the main file
system into the build file system, things shouldn't be different
between Linux and kbsd for these directories.


> I don't have a kfreebsd instance handy to test this, so I would like
> to make sure. It would be super if you could supply a patch that I
> could patch in, but since there is no real code to support multiple
> architectures in pbuilder, it might need a bit more infrastructure
> change.

If you have a premilinary code with architecture support, I'm happy to
test and adjust it (or just code the bsd parts into it if I know where
I should code them into).



Cheers,
Andi




Added tag(s) confirmed. Request was from Loïc Minier <lool@dooz.org> to control@bugs.debian.org. (Wed, 30 Dec 2009 10:48:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>:
Bug#542837; Package pbuilder. (Thu, 26 Aug 2010 00:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gonéri Le Bouder <goneri@rulezlan.org>:
Extra info received and forwarded to list. Copy sent to Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>. (Thu, 26 Aug 2010 00:21:03 GMT) Full text and rfc822 format available.

Message #42 received at 542837@bugs.debian.org (full text, mbox):

From: Gonéri Le Bouder <goneri@rulezlan.org>
To: Andreas Barth <aba@not.so.argh.org>, 542837@bugs.debian.org
Cc: Junichi Uekawa <dancer@netfort.gr.jp>
Subject: Re: Bug#542837: pbuilder has issues with kfreebsd-*
Date: Thu, 26 Aug 2010 02:12:20 +0200
[Message part 1 (text/plain, inline)]
On Sun, Nov 29, 2009 at 11:44:56AM +0100, Andreas Barth wrote:
> * Junichi Uekawa (dancer@netfort.gr.jp) [091129 11:18]:
> > So, would 'mount -o bind ' to 'mount -tnullfs ' just work?

> > I don't have a kfreebsd instance handy to test this, so I would like
> > to make sure. It would be super if you could supply a patch that I
> > could patch in, but since there is no real code to support multiple
> > architectures in pbuilder, it might need a bit more infrastructure
> > change.
> 
> If you have a premilinary code with architecture support, I'm happy to
> test and adjust it (or just code the bsd parts into it if I know where
> I should code them into).
Hi,

I attached 5 small patches that fix the problem for me.

Best regards,

    Gonéri Le Bouder
[0001-use-linprocfs-on-kFreeBSD-instead-of-proc.patch (text/x-diff, attachment)]
[0002-proc-sys-fs-binfmt_misc-only-exist-on-Linux.patch (text/x-diff, attachment)]
[0003-umount-the-sys-filesystem-on-kFreeBSD.patch (text/x-diff, attachment)]
[0004-no-devpts-on-non-Linux-system.patch (text/x-diff, attachment)]
[0005-use-nullfs-for-BINDMOUNTS.patch (text/x-diff, attachment)]

Added tag(s) patch. Request was from Simon Paillard <simon.paillard@resel.enst-bretagne.fr> to control@bugs.debian.org. (Fri, 27 Aug 2010 14:21:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>:
Bug#542837; Package pbuilder. (Wed, 01 Sep 2010 20:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gonéri Le Bouder <goneri@rulezlan.org>:
Extra info received and forwarded to list. Copy sent to Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>. (Wed, 01 Sep 2010 20:30:03 GMT) Full text and rfc822 format available.

Message #49 received at 542837@bugs.debian.org (full text, mbox):

From: Gonéri Le Bouder <goneri@rulezlan.org>
To: Andreas Barth <aba@not.so.argh.org>, 542837@bugs.debian.org
Cc: Junichi Uekawa <dancer@netfort.gr.jp>
Subject: Re: Bug#542837: pbuilder has issues with kfreebsd-*
Date: Wed, 1 Sep 2010 22:29:13 +0200
[Message part 1 (text/plain, inline)]
On Thu, Aug 26, 2010 at 02:12:20AM +0200, Gonéri Le Bouder wrote:
> On Sun, Nov 29, 2009 at 11:44:56AM +0100, Andreas Barth wrote:
> > * Junichi Uekawa (dancer@netfort.gr.jp) [091129 11:18]:
> > > So, would 'mount -o bind ' to 'mount -tnullfs ' just work?
> 
> > > I don't have a kfreebsd instance handy to test this, so I would like
> > > to make sure. It would be super if you could supply a patch that I
> > > could patch in, but since there is no real code to support multiple
> > > architectures in pbuilder, it might need a bit more infrastructure
> > > change.
> > 
> > If you have a premilinary code with architecture support, I'm happy to
> > test and adjust it (or just code the bsd parts into it if I know where
> > I should code them into).
> Hi,
> 
> I attached 5 small patches that fix the problem for me.

Another point, unlike Linux, it looks like USEDEVFS should be turned on in
the pbuilderrc.

Best regards,

     Gonéri Le Bouder
[signature.asc (application/pgp-signature, inline)]

Added indication that bug 542837 blocks 560332 Request was from Gonéri Le Bouder <goneri@rulezlan.org> to control@bugs.debian.org. (Thu, 02 Sep 2010 12:51:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>:
Bug#542837; Package pbuilder. (Mon, 10 Jan 2011 04:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julián Moreno Patiño <darkjunix@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>. (Mon, 10 Jan 2011 04:09:03 GMT) Full text and rfc822 format available.

Message #56 received at 542837@bugs.debian.org (full text, mbox):

From: Julián Moreno Patiño <darkjunix@gmail.com>
To: 560332@bugs.debian.org, 542837@bugs.debian.org
Cc: debian-bsd <debian-bsd@lists.debian.org>
Subject: Testing Gonéri Le Bouder's patches for pbuilder works in kfreebsd
Date: Sun, 9 Jan 2011 23:05:04 -0500
[Message part 1 (text/plain, inline)]
Hi Folks,

First of all, Thanks so much to Gonéri Le Bouder for your great job :-) !

I think that is very important include pbuilder support in kfreebsd for
squeeze release.

I create pbuilder environment without problems[0]

I test it and it works excelent, my first compilation does not work[1]
because USEDEVFS is turn off, but simply is change USEDEVFS=yes
in /usr/share/pbuilder/pbuilderrc config file. Then this change now the
package build fine[2]. Moreover I build my packages and it works fine[3]

Clean process is fine too[4]

Update process is fine too[5]


[0] http://isc.utp.edu.co/~junix/logs/pbuilder_create_kfbsd.log
[1]
http://isc.utp.edu.co/~junix/logs/schroot_1.4.16-1_kfreebsd-amd64.build_before
[2]
http://isc.utp.edu.co/~junix/logs/schroot_1.4.16-1_kfreebsd-amd64.build_after
[3] http://isc.utp.edu.co/~junix/logs/pyragua_0.2.5-2_kfreebsd-amd64.build

http://isc.utp.edu.co/~junix/logs/sshguard_1.5~rc4-1_kfreebsd-amd64.build

http://isc.utp.edu.co/~junix/logs/python-gd_0.56+dfsg-1_kfreebsd-amd64.build
     http://isc.utp.edu.co/~junix/logs/amispammer_3.1-1_kfreebsd-amd64.build
     http://isc.utp.edu.co/~junix/logs/cvs2html_1.98-2_kfreebsd-amd64.build
     http://isc.utp.edu.co/~junix/logs/ne_2.1-1_kfreebsd-amd64.build
[4] http://isc.utp.edu.co/~junix/logs/pbuilder_clean_kfbsd.log
[5] http://isc.utp.edu.co/~junix/logs/pbuilder_update_kfbsd.log


If more buildings are needed please contact me.

Kind regards,

-- 
Julián Moreno Patiño
 .''`. Debian GNU/{Linux,KfreeBSD}
: :' : Free Operating Systems
`. `'  http://debian.org/
  `-   PGP KEY ID 6168BF60
Registered GNU Linux User ID 488513
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>:
Bug#542837; Package pbuilder. (Tue, 29 Mar 2011 21:33:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luca Falavigna <dktrkranz@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>. (Tue, 29 Mar 2011 21:33:07 GMT) Full text and rfc822 format available.

Message #61 received at 542837@bugs.debian.org (full text, mbox):

From: Luca Falavigna <dktrkranz@debian.org>
To: Junichi Uekawa <dancer@debian.org>, 542837@bugs.debian.org
Subject: pbuilder: diff for NMU version 0.199+nmu3
Date: Tue, 29 Mar 2011 23:29:01 +0200
[Message part 1 (text/plain, inline)]
tags 542837 + patch pending
thanks


Dear Junichi,

I've prepared an NMU for pbuilder (versioned as 0.199+nmu3) and
uploaded it to DELAYED/10. Please feel free to tell me if I
should delay it longer.

I tested this patchset on both kfreebsd-i386 and kfreebsd-amd64, and I
can confirm they work as expected.

Regards,

-- 
  .''`.
 :  :' :   Luca Falavigna <dktrkranz@debian.org>
 `.  `'
   `-
[pbuilder_0.199+nmu3.diff (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, attachment)]

Added tag(s) pending. Request was from Luca Falavigna <dktrkranz@debian.org> to control@bugs.debian.org. (Tue, 29 Mar 2011 21:33:08 GMT) Full text and rfc822 format available.

Reply sent to Luca Falavigna <dktrkranz@debian.org>:
You have taken responsibility. (Fri, 08 Apr 2011 23:51:10 GMT) Full text and rfc822 format available.

Notification sent to Andreas Barth <aba@not.so.argh.org>:
Bug acknowledged by developer. (Fri, 08 Apr 2011 23:51:10 GMT) Full text and rfc822 format available.

Message #68 received at 542837-close@bugs.debian.org (full text, mbox):

From: Luca Falavigna <dktrkranz@debian.org>
To: 542837-close@bugs.debian.org
Subject: Bug#542837: fixed in pbuilder 0.199+nmu3
Date: Fri, 08 Apr 2011 23:47:27 +0000
Source: pbuilder
Source-Version: 0.199+nmu3

We believe that the bug you reported is fixed in the latest version of
pbuilder, which is due to be installed in the Debian FTP archive:

pbuilder-uml_0.199+nmu3_amd64.deb
  to main/p/pbuilder/pbuilder-uml_0.199+nmu3_amd64.deb
pbuilder_0.199+nmu3.dsc
  to main/p/pbuilder/pbuilder_0.199+nmu3.dsc
pbuilder_0.199+nmu3.tar.gz
  to main/p/pbuilder/pbuilder_0.199+nmu3.tar.gz
pbuilder_0.199+nmu3_all.deb
  to main/p/pbuilder/pbuilder_0.199+nmu3_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 542837@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Luca Falavigna <dktrkranz@debian.org> (supplier of updated pbuilder package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 29 Mar 2011 22:56:44 +0200
Source: pbuilder
Binary: pbuilder pbuilder-uml
Architecture: source all amd64
Version: 0.199+nmu3
Distribution: unstable
Urgency: low
Maintainer: Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>
Changed-By: Luca Falavigna <dktrkranz@debian.org>
Description: 
 pbuilder   - personal package builder for Debian packages
 pbuilder-uml - user-mode-linux version of pbuilder
Closes: 542837
Changes: 
 pbuilder (0.199+nmu3) unstable; urgency=low
 .
   * Non-Maintainer Upload.
   * Apply patches provided by Gonéri Le Bouder to allow pbuilder to
     create and manage chroots on kFreeBSD machines (Closes: #542837).
Checksums-Sha1: 
 6cb073d75888449e922f243983cc68c74566aac9 1784 pbuilder_0.199+nmu3.dsc
 20dc5e9565815c1d3e6ed35b9eafd54b99aeaf4e 858327 pbuilder_0.199+nmu3.tar.gz
 06915b159eb4109b45173a41eff34dad1c402f34 358424 pbuilder_0.199+nmu3_all.deb
 27a75cc5f670271dc2d6109c37f8ff75d37bb63b 42588 pbuilder-uml_0.199+nmu3_amd64.deb
Checksums-Sha256: 
 a982a9d50727bcabc3e1cd69a50e8e2624e073cd5fd55546a95dcfe0d97c5dbb 1784 pbuilder_0.199+nmu3.dsc
 c9d36d3e0f8a49efbe92f4e389c9ec6d6d96da67c80a961e639f7cd4345f6df2 858327 pbuilder_0.199+nmu3.tar.gz
 ce48a9796451be896257719e74706ef3070b4933409d5d69bb4747842dc270c9 358424 pbuilder_0.199+nmu3_all.deb
 ac7beca52b31cbefcaa45e83e4ecba67d6b5a928536aa0a394cad6db74770527 42588 pbuilder-uml_0.199+nmu3_amd64.deb
Files: 
 27172b7e4c19eafd80b0716018b1c909 1784 devel extra pbuilder_0.199+nmu3.dsc
 df41e378091fdb48dd9c8a1f32ee485c 858327 devel extra pbuilder_0.199+nmu3.tar.gz
 e90a1da6086816ac42ee9e04ce22618c 358424 devel extra pbuilder_0.199+nmu3_all.deb
 f494d2630f1f95bd9dc69663ff7f3fca 42588 devel extra pbuilder-uml_0.199+nmu3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJNn5zoAAoJEEkIatPr4vMfU9wP/R8nt2GGPZSq6ewNT+42ZKoV
4p4gRjdk1NQRZravHoX6yDV6x4WW9VrnXR2RlFY6WglaokXMj27kFnkmQCVMMefr
oXnpKc9VANQuK5zsBpYJJwdG2UeXFO9M2Mfin9j+x/DyaLp3kOsDrCwdaqmP+IZj
6BNfcEmOsRoynxmdhdXCDvBirT+8M+ixjSvKSVvXFYimKzbYJI43f9F/ygwBhCvp
CosNTKZADGEJvVjG3GMR3EHLlLpiK2jHa7kxjuWlGrEyP9VEK6SJITe3t7cYEfI2
a1NLHZrPT4ZySzUlsW+2G6NUrjKUl1UxsvH0UMXX5b0xPNKj1Ikm1wzVXg4VMUi6
FAVf1ooykSvl6p/qALidihr/1pF4co1RDrtZMJNwn2AMP6nROLSO5WniAutJtxee
HH9aANF1NaMBBCTZZEhMrSXE8/OVJ/Fy9hIdTsXfjk9DejHm/+FoBueT8bjGw4iI
s4w32seCCpr546kt+iVz3u31UeOcZ+L+UkLDcP9OajTgr1jjqcm+F1iZKUuazu40
80uhVptCg/LpUp4f71j2O1am98jcAQah1aQa9eMoaCSbzJefmOVzjPhEIyV6Eljh
bmH+UAhirCUKonlBXMpXp9hG7rrbaPP19MQkjAUidvsHv+ycwkcGjbASIPrCdk4G
3rSycXL5PEukPTQGI+uC
=NTBd
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 17 May 2011 07:45:36 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 09:40:18 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.